"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const api_1 = __importDefault(require("../api"));
function timeout(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
}
function itemsById(type, mal_ids) {
    return __awaiter(this, void 0, void 0, function* () {
        const milliseconds = (mal_ids.length / 9.5) * mal_ids.length * 10 + 50;
        const items = [];
        yield timeout(10000);
        for (const mal_id of mal_ids) {
            yield timeout(milliseconds);
            const { data: item } = yield api_1.default.get(`/${type}/${mal_id}`);
            items.push(item);
        }
        return items;
    });
}
exports.default = itemsById;
