import api from '../api';

function timeout(ms: number): Promise<unknown> {
  return new Promise(resolve => setTimeout(resolve, ms));
}

export default async function itemsById(
  type: 'anime' | 'manga',
  mal_ids: number[],
): Promise<object[]> {
  const milliseconds = (mal_ids.length / 9.5) * mal_ids.length * 10 + 50;
  const items: object[] = [];

  await timeout(10000);

  for (const mal_id of mal_ids) {
    await timeout(milliseconds);
    const { data: item } = await api.get(`/${type}/${mal_id}`);
    items.push(item);
  }

  return items;
}
